Package org.jboss.resteasy.jose.i18n

## Interface Messages

- All Known Implementing Classes:
    `Messages_$bundle`

      @MessageBundle(projectCode="RESTEASY")
      public interface Messages

  Version:
    $Revision: 1.1 $ Copyright Aug 28, 2015
  Author:
    Ron Sigal

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static int` | `BASE` |
    `static Messages` | `MESSAGES` |

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `String` | `algorithmOfSharedSymmetricKey()` |
    `String` | `algorithmWasNull()` |
    `String` | `authenticationTagMustNotBeNull()` |
    `String` | `cekKeyLengthMismatch​(int length1, int length2)` |
    `String` | `cipherTextMustNotBeNull()` |
    `String` | `contentEncryptionKeyLength​(int length, EncryptionMethod method)` |
    `String` | `couldNotFindMessageBodyReaderForJSON()` |
    `String` | `couldNotFindMessageBodyWriterForJSON()` |
    `String` | `couldntCompressPlainText​(String message)` |
    `String` | `couldntDecompressPlainText​(String message)` |
    `String` | `couldntDecryptCEK​(String message)` |
    `String` | `couldntEncryptCEK​(String message)` |
    `String` | `couldntGenerateGCMAuthentication​(String message)` |
    `String` | `couldntValidateGCMAuthentication​(String message)` |
    `String` | `encryptedKeyMustNotBeNull()` |
    `String` | `encryptionMethodWasNull()` |
    `String` | `illegalBase64UrlString()` |
    `String` | `initializationVectorMustNotBeNull()` |
    `String` | `invalidHMACkey​(String message)` |
    `String` | `lengthOfSharedSymmetricKey()` |
    `String` | `macCheckFailed()` |
    `String` | `notAMACalgorithm()` |
    `String` | `notAnRSAalgorithm()` |
    `String` | `notEncryptedWithDirAlgorithm()` |
    `String` | `notEncryptedWithRSAalgorithm()` |
    `String` | `parsingError()` |
    `String` | `unableToFindMessageBodyWriter()` |
    `String` | `unableToFindReaderForContentType()` |
    `String` | `unexpectedEncryptedKey()` |
    `String` | `unknownLength()` |
    `String` | `unsupportedAlgorithm()` |
    `String` | `unsupportedCompressionAlgorithm​(CompressionAlgorithm algorithm)` |
    `String` | `unsupportedEncryptionMethod()` |
    `String` | `unsupportedHMACalgorithm​(String message)` |
    `String` | `unsupportedJWEalgorithm()` |
    `String` | `unsupportedKeyLength()` |

- - ### Field Detail

    - #### MESSAGES

          static final Messages MESSAGES

    - #### BASE

          static final int BASE

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### algorithmOfSharedSymmetricKey

          @Message(id=14000,
                   value="The algorithm of the shared symmetric key must be AES")
          String algorithmOfSharedSymmetricKey()

    - #### algorithmWasNull

          @Message(id=14005,
                   value="Algorithm was null")
          String algorithmWasNull()

    - #### authenticationTagMustNotBeNull

          @Message(id=14010,
                   value="The authentication tag must not be null")
          String authenticationTagMustNotBeNull()

    - #### cekKeyLengthMismatch

          @Message(id=14015,
                   value="CEK key length mismatch: {0} != {1}",
                   format=MESSAGE_FORMAT)
          String cekKeyLengthMismatch​(int length1,
                                      int length2)

    - #### cipherTextMustNotBeNull

          @Message(id=14020,
                   value="The cipher text must not be null")
          String cipherTextMustNotBeNull()

    - #### contentEncryptionKeyLength

          @Message(id=14025,
                   value="The Content Encryption Key (CEK) length must be {0} bits for {1} encryption",
                   format=MESSAGE_FORMAT)
          String contentEncryptionKeyLength​(int length,
                                            EncryptionMethod method)

    - #### couldNotFindMessageBodyReaderForJSON

          @Message(id=14030,
                   value="Could not find MessageBodyReader for JSON")
          String couldNotFindMessageBodyReaderForJSON()

    - #### couldNotFindMessageBodyWriterForJSON

          @Message(id=14035,
                   value="Could not find MessageBodyWriter for JSON")
          String couldNotFindMessageBodyWriterForJSON()

    - #### couldntCompressPlainText

          @Message(id=14040,
                   value="Couldn\'t compress plain text: %s")
          String couldntCompressPlainText​(String message)

    - #### couldntDecompressPlainText

          @Message(id=14045,
                   value="Couldn\'t decompress plain text: %s")
          String couldntDecompressPlainText​(String message)

    - #### couldntDecryptCEK

          @Message(id=14050,
                   value="Couldn\'t decrypt Content Encryption Key (CEK): %s")
          String couldntDecryptCEK​(String message)

    - #### couldntEncryptCEK

          @Message(id=14055,
                   value="Couldn\'t encrypt Content Encryption Key (CEK): %s")
          String couldntEncryptCEK​(String message)

    - #### couldntGenerateGCMAuthentication

          @Message(id=14060,
                   value="Couldn\'t generate GCM authentication tag: %s")
          String couldntGenerateGCMAuthentication​(String message)

    - #### couldntValidateGCMAuthentication

          @Message(id=14065,
                   value="Couldn\'t validate GCM authentication tag: %s")
          String couldntValidateGCMAuthentication​(String message)

    - #### encryptedKeyMustNotBeNull

          @Message(id=14070,
                   value="The encrypted key must not be null")
          String encryptedKeyMustNotBeNull()

    - #### encryptionMethodWasNull

          @Message(id=14075,
                   value="EncryptionMethod was null")
          String encryptionMethodWasNull()

    - #### illegalBase64UrlString

          @Message(id=14080,
                   value="Illegal base64url string!")
          String illegalBase64UrlString()

    - #### initializationVectorMustNotBeNull

          @Message(id=14085,
                   value="The initialization vector (IV) must not be null")
          String initializationVectorMustNotBeNull()

    - #### invalidHMACkey

          @Message(id=14090,
                   value="Invalid HMAC key: %s")
          String invalidHMACkey​(String message)

    - #### lengthOfSharedSymmetricKey

          @Message(id=14095,
                   value="The length of the shared symmetric key must be 128 bits (16 bytes), 256 bits (32 bytes) or 512 bites (64 bytes)")
          String lengthOfSharedSymmetricKey()

    - #### macCheckFailed

          @Message(id=14100,
                   value="MAC check failed")
          String macCheckFailed()

    - #### notAMACalgorithm

          @Message(id=14105,
                   value="Not a MAC Algorithm")
          String notAMACalgorithm()

    - #### notAnRSAalgorithm

          @Message(id=14110,
                   value="Not an RSA Algorithm")
          String notAnRSAalgorithm()

    - #### notEncryptedWithDirAlgorithm

          @Message(id=14115,
                   value="Not encrypted with dir algorithm")
          String notEncryptedWithDirAlgorithm()

    - #### notEncryptedWithRSAalgorithm

          @Message(id=14120,
                   value="Not encrypted with RSA algorithm")
          String notEncryptedWithRSAalgorithm()

    - #### parsingError

          @Message(id=14125,
                   value="Parsing error")
          String parsingError()

    - #### unableToFindMessageBodyWriter

          @Message(id=14130,
                   value="Unable to find MessageBodyWriter")
          String unableToFindMessageBodyWriter()

    - #### unableToFindReaderForContentType

          @Message(id=14135,
                   value="Unable to find reader for content type")
          String unableToFindReaderForContentType()

    - #### unexpectedEncryptedKey

          @Message(id=14140,
                   value="Unexpected encrypted key, must be omitted")
          String unexpectedEncryptedKey()

    - #### unknownLength

          @Message(id=14145,
                   value="Unknown length")
          String unknownLength()

    - #### unsupportedAlgorithm

          @Message(id=14150,
                   value="Unsupported algorithm, must be \"dir\"")
          String unsupportedAlgorithm()

    - #### unsupportedCompressionAlgorithm

          @Message(id=14155,
                   value="Unsupported compression algorithm: %s")
          String unsupportedCompressionAlgorithm​(CompressionAlgorithm algorithm)

    - #### unsupportedEncryptionMethod

          @Message(id=14160,
                   value="Unsupported encryption method, must be A128CBC_HS256, A256CBC_HS512, A128GCM or A128GCM")
          String unsupportedEncryptionMethod()

    - #### unsupportedHMACalgorithm

          @Message(id=14165,
                   value="Unsupported HMAC algorithm: %s")
          String unsupportedHMACalgorithm​(String message)

    - #### unsupportedJWEalgorithm

          @Message(id=14170,
                   value="Unsupported JWE algorithm, must be RSA1_5 or RSA_OAEP")
          String unsupportedJWEalgorithm()

    - #### unsupportedKeyLength

          @Message(id=14175,
                   value="Unsupported AES/CBC/PKCS5Padding/HMAC-SHA2 key length, must be 256 or 512 bits")
          String unsupportedKeyLength()